Bug 37280 - (IDE)random data corruption that ide=nodma does not fix
(IDE)random data corruption that ide=nodma does not fix
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i386 Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
: 37151 37573 40352 41392 53547 55592 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-23 19:20 EDT by Stan Stead
Modified: 2008-08-01 12:22 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:38:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Exception Occurred - Traceback (iinermost last) anaconda line 520 in ? intf.run... (9.82 KB, text/plain)
2001-04-26 22:27 EDT, Robert Kane
no flags Details

  None (edit)
Description Stan Stead 2001-04-23 19:20:46 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)


Installer hangs during upgrade or fresh install, both in graphical and 
text mode. "WARNING: Unknown EDD version 0x1600 supported" message appears 
in text mode before language select.


Reproducible: Always
Steps to Reproduce:
1. Boot disk, boot.img, Seawolf-i386-disc1, either graphical or text
2.Select English, 101 keyboard, PS/2 generic, upgrade
3. Mulitple seeks on HD and CD. System hangs
	

Actual Results:  System Hangs (freezes). Unresponsive to keyboard or mouse

Expected Results:  Should have started upgrade install

System is a Compaq Deskpro 2000 166MMX/64MB memory, Maxtor 20GB IDE drive 
and BTC 36x CDROM via IDE. System currently running RH 7.0. Has run 6.x in 
past. CD's pass MD5SUM and are readable on 7.0 system.
Comment 1 Brent Fox 2001-04-24 10:41:05 EDT
Is this with the same system that saw the behavior from bug #37253?
Comment 2 Brent Fox 2001-04-25 16:37:55 EDT
*** Bug 37573 has been marked as a duplicate of this bug. ***
Comment 3 Robert Kane 2001-04-25 16:44:03 EDT
Sme problem here.  Currently running RH 7.0 upgrading to 7.1.  My machie is a 
Comapq Deskpro Pentium Pro 200MHz, 128MB RAM, Western Digital 6.4GB hard drive, 
Matrox video, IBM 4x SCSI CDRom, Python SCSI 4mm DAT (DDS-DC) anmd Adaptec 
1940U SCSI host adaptor.  Same exact message is received after I make it 
through the install process in the X GUI.  Error ocurs after install searches 
through the package list to determine what it needs to upgrade.  everything 
appears to be running smoothely then, CRASH!  WARNING: Unknown EDD version 
0x1600 supported.
Comment 4 Robert Kane 2001-04-26 03:22:01 EDT
More information.  Tried text mode installation this morning as follows: 

1. boot: text
2. Received: Running anaconda - please wait...
3. Chose English
4. Chose us keyboard
5. Upon choosing OK at the Welcome to Redhat message then received...
6. Installation selection and chose Upgrade Existing Installation.
8. Chose Ok and immediately received
   "WARNING: Unknown EDD version 0x1600 supported"
9. Installation continued and I received "Error mounting ext2 filesystem
   on sdb1 - Invalid argument".  Same for sdc1, sdd1 and sde1 which are all 
   part of a RAID volume.  This all makes sense so far.  I can only assume that 
   the WARNING is because of the file system on sda1 which was not displayed in 
   the mount errors.
10. Installation continued and th message "Upgrading the Red Hat Linux 
Installation on partition /dev/hda11" was displayed.  I chose OK.
11. Displayed was "Reading package information..."
12. Installation failed. with errors as follows:
    python: header.c: 241: regionSwab: Assertion `i.info.type >= 0 && 
    ie.info.type <=9' failed.
    
    install exited abnormally -- recieved signal 6 sending termination.

What gives??
Comment 5 Brent Fox 2001-04-26 11:01:21 EDT
ewt, do you have any ideas about this?
Comment 6 Barry McKinlay 2001-04-26 16:17:15 EDT
I have the exact same problem. I am using a Compaq Deskpro 2000 5200MMX and I 
can not do a fresh install or an upgrade of 7.1 without getting the 
message "Warning: Unknown EDD version 0x1600 supported" twice.  Version 7.0 
installs just fine.

I get various errors/symptoms like the PC hanging while trying to format 
partitions, DMA time-out while formatting Swap partitions, unable to format "/" 
partition, "error transferring install image, you are probably out of disk 
space", and "install exited abnormally -- received signal 11"

I've tried 3 different hard drives, tried manual (using DRUID) and auto 
partitioning, tried 32Mb, 64MB and 96MB RAM, tried a minimum install, tried a 
7.1 beta CD that worked fine on another PC, turned of LBA mode in BIOS and 
tried upgrading the Compaq BIOS and the 7.1 install still fails.
I am currently out of ideas.
Comment 7 Robert Kane 2001-04-26 22:25:07 EDT
OK!  NOW I am getting another error.  During my first attempt I made at 
installing using text mode I created a additional 128MB swap file in /var/.  I 
removed refernce to it in my /etc/fstab file and rebooted.  I booted from 
floppy (boot.img) and ran text mode installation again following same steps as 
before, chossing "Upgrade Existing Installation".  This time I got and Exeption 
occurred.  I tried this multiple times and got the same errors.  I will attache 
a information dump which I was able to save to floppy.
Comment 8 Robert Kane 2001-04-26 22:27:02 EDT
Created attachment 16565 [details]
Exception Occurred - Traceback (iinermost last) anaconda line 520 in ? intf.run...
Comment 9 Robert Kane 2001-04-30 16:00:24 EDT
I am disspointed by the lack of motion on this bug.  What's up Redhat????
Comment 10 Brent Fox 2001-04-30 17:56:22 EDT
What happens if you type in 'linux ide=nodma' at the boot screen?
Comment 11 Robert Kane 2001-04-30 23:33:24 EDT
the results of running installation using linux ide=nodma.  System booted with 
floppy (boot.img) and CD in IBM 4x SCSI CDRom.  This is the Compaq Deskpro 6000 
Pentium Pro 200MHz machine.

Running anaconda - please wait...
Probing for mouse type...
Waiting for X server to start...log located in /tmp/X.log
.... X server started successfully.
Gdk-ERROR **: X connection to :1.0 broken (explicit kill or server shutdown).
install exited abnormally
sending termination signals...done
disabling swap...
unmounting filesystems...
       /mnt/runtime
       /mnt/source umount failed ()
       /dev/pts
       /proc
you my safely reboot your system
Comment 12 Barry McKinlay 2001-05-01 10:16:21 EDT
I tried typing this on the boot prompt from the Red Hat installation CD 
("boot:linux ide=nodma <enter>") and it made no difference.  I still get the 
message "Unknown EDD version 0x1600 supported" twice, and my installation still 
fails when trying to format my partitions.
Comment 13 Brent Fox 2001-05-01 12:08:59 EDT
From edd.c:

    if ((regs.eax & 0xff00) == 0x0100) {
      ec->version.major = 1;
      ec->version.minor = 0;
    } else if ((regs.eax & 0xff00) == 0x2000) {
      ec->version.major = 2;
      ec->version.minor = 0;
    } else if ((regs.eax & 0xff00) == 0x2100) {
      ec->version.major = 2;
      ec->version.minor = 1;
    } else if ((regs.eax & 0xff00) == 0x3000) {
      ec->version.major = 3;
      ec->version.minor = 0;
    } else {
      fprintf (stderr, "WARNING: Unknown EDD version 0x%x supported\n",
               regs.eax & 0xff00);
    }


It looks like edd.c doesn't know anything about EDD version 0x1600.  Matt, do
you know why this is?
Comment 14 Stan Stead 2001-05-03 16:05:22 EDT
I have duplicated this problem on another Deskpro 2100 with nearly identical 
hardware. I decided to do a "clean install" of the workstation. I tried using 
the same exact partitions and got an error message that the swap partition was 
too small and the system hung again. I then rebooted and did a clean install 
with RH 7.1 picking the partition sizes. Everything worked correctly. I suspect 
that the problem is related to the need for a larger swap partition and that 
the message regarding the EDD version may be just a red herring.
Comment 15 Robert Kane 2001-05-03 16:25:00 EDT
I am pleased to see that others have the ability to play with other systems and 
have gotten RH 7.1 to install.  My problem is that I have a system to UPGRADE 
and thus far cannot.  Again, I am dissappointed with the support from Redhat on 
this issue.  What is EDD?  It is pretty obvious that the latest comments from 
Redhat were, shall we say, rhetorical?  "It looks like edd.c doesn't know 
anything about EDD version 0x1600.  Matt, do you know why this is?"  Did we 
need to wait two weeks for someone to take a look at edd.c to tell us the 
obvious?  Is this EDD warning a red herring, and my problem is unrelated?  If 
so do I need to open separate bug repot?  I would like to upgrade my system 
before Christmas 2001 (which, btw, is only 7 months away) ;-)
Comment 16 Matt Wilson 2001-05-04 08:37:37 EDT
First of all, this is not a support system.  If you have purchased a product and
are having problems installing, you should contact our installation support
department.

The "WARNING: Unknown EDD version 0x1600 supported" message is a red herring, it
should have nothing to do with your system hanging.

These random *different* failures indicate data corription, most likely caused
by IDE DMA.  To turn this off, boot with "linux ide=nodma" at the boot: prompt.
Comment 17 Robert Kane 2001-05-04 15:41:00 EDT
I understand that this is not a support system, however, it is a bug report 
system, which Redhat has initiated and does in some way support, otherwise..
a. You would not be speaking with us here.
b. You would not be receiving paychecks from RH.

As one can plainly see, we have tried booting with "linux ide=nodma" and have 
had the same results.  Do you people read what we type here?  Given that we 
have tried your suggestions, I ask my question again... How do we fix this 
problem.  Given your response, the EDD warning is a red herrring, thus there 
must be another issue here.  Are all of our problems related or are they each 
separate issues for which we should open new bug reports for, closing this 
one?  Where do we go from here? How do we fix this?
Comment 18 Stan Stead 2001-05-04 16:14:36 EDT
I have tried using the suggested fix: linux ide=nodma. The system still crashes 
at the same place. There is no apparent difference between using default 
<ENTER> and the fix. Sorry guys, this is not the problem.
Comment 19 Need Real Name 2001-05-09 04:13:19 EDT
Me too, I also have a compaq deskpro 2000. P166MMX 64MB RAM standard CD drive 
that came with it. Language English UK, 102 keyboard, 2 button PS/2 mouse, 
London timezone. 

 I get the following error messages: -
WARNING: Unknown EDD version 0x1600 supported
WARNING: Unknown EDD version 0x1600 supported

Gtk-WARNING **: cannot open display: :9
Gdk-ERROR **: Fatal IO error 104 (connection reset by peer) on X server :9.
python: header.c:511: headerload: Assertion `rdlen == dl' failed.
install exited abnormally
seding termination signals...done
sending kill signals...done
disabling swap...
           /tmp/swap/hda5
unmounting filesystems...
           /mnt/sysimage/boot
           /mnt/sysimage/home
           /mnt/sysimage/proc
           /mnt/sysimage/usr
           /proc/bus/usb
           /mnt/sysimage
           /mnt/runtime
           /mnt/source umount failed ()
           /dev/pts
           /proc
you may safely reboot your system

Comment 20 Johnray Fuller 2001-05-09 17:01:19 EDT
I recieved a support call on this issue. Thanks Nidil!

I am cc'ing him onto this bug report.

I told him to type:

linux ide=nodma nousb

And he was able to get it booted into the installer. He has an HP Pavillion 850
or 950 Mhz Athalon processor


He said he'd add comments to this report. He said he would try typing JUST nousb
and JUST ide=nodma to determine if only one or both of these flags are really
needed.

So anyone who could not get it booted w/ ide-nodma, try nousb...

Johnray out
Comment 21 Stan Stead 2001-05-09 20:36:55 EDT
Tried nousb. Same result. Hangs at the same point.
Comment 22 Arjan van de Ven 2001-05-10 04:11:23 EDT
Strange question: does this machine have a mouse attached ?
Comment 23 Robert Kane 2001-05-10 05:19:41 EDT
I tried it as well.  Used "linux ide=nodma nousb" and I can at least get the X 
Windows installer to run, however, I still get installer failure.  I chose 
Custom installation and partitioned manually.  I was able to select packages to 
install and the installer formatted the partitions I created then checked 
package dependencies, began to install and BANG! I get the exact same python 
error as Toby. 

WARNING: Unknown EDD version 0x1600 supported
WARNING: Unknown EDD version 0x1600 supported
python: header.c:511: headerload: Assertion `rdlen == dl' failed.
install exited abnormally -- received signal 11
etc...


Comment 24 Brent Fox 2001-05-14 12:35:39 EDT
*** Bug 40352 has been marked as a duplicate of this bug. ***
Comment 25 Need Real Name 2001-05-17 15:54:09 EDT
I have a Compaq DP2000 5/200MMX,3C905 NIC, Seagate 4.3 Gig Medalist HDA,Mitsume 
CD.  I can boot the system off of the CD, run the graphical installation, set 
up the disk partations, select package configurations, time zone etc..  when 
the package installation begins the system throws an error about the disk being 
full.  The installation allows me to restart but I can never get past this 
point.  Doing the three-finger-windows-repair routine shows the edd error on 
the cons.

Comment 26 Brent Fox 2001-05-21 14:08:53 EDT
*** Bug 37151 has been marked as a duplicate of this bug. ***
Comment 27 Matt Wilson 2001-05-21 14:46:50 EDT
OK, this shouldn't help one bit, but please download:

http://people.redhat.com/msw/edd-updates.img

write it out to a blank floppy.  Boot the installer floppy or CD with "linux
updates".  It will prompt you to insert this disk.  This should make the
"unknown edd version" message go away.
Comment 28 Brent Fox 2001-05-21 16:25:27 EDT
*** Bug 41392 has been marked as a duplicate of this bug. ***
Comment 29 Doug Reed 2001-05-21 17:55:38 EDT
Doug Reed...  I am reporter of bug 41392 deemed to be a duplicate of this 
problem.

I fully agree that my problem is a duplicate of this, and originally agreed 
that the EDD message was likely a red herring...but I am becoming less so based 
on the fact that the users all seem to be reporting somewhat different symptoms 
with this as the most obvious common denominator.  I will be further convinced 
if indeed the user with the HP Pavillion 850 (reported in the entry by 
jrfuller@redhat.com) can confirm that he/she also gets the EDD message.

Also of interest is that other users are having problems at different stages of 
the install.  I have several Compaq machines of a similar vintage, and each has 
died in exactly the same place with every version of RedHat starting with 
Version 6.2.  Version 6.1 and earlier do not exhibit this behaviour.  It is 
also interesting that users are reporting that 7.0 works, since I experience 
the same problem on both 6.2 and 7.1.  I have never tested 7.0.  My machines 
ALWAYS freeze with no error messages always in the middle of the file copy, and 
I have indeed already tried the 'ide=nodma' switch some time ago...  I have 
never tried the 'nousb' switch, although others seem to report that this does 
not solve the problem.  I would also tend to doubt that USB would be the 
problem based on the fact that in my case and others the problems occur well 
after the Hardare probing stage during file system format or copy.  One would 
not expect the installer to do anything to upset the USB subsystem while 
performing file I/O on IDE devices.

Question to RedHat Development!  What is EDD?  RedHat support told me that the 
EDD messages could not possibly have been generated by the RedHat system, but 
had to be coming from my BIOS and proved that RedHat Linux was unlikely to 
run.  ...I did not really believe that my BIOS was generating the message, 
since I have never seen a PC BIOS that generated text messages to running 
systems and allowed them to continue running...but then, this IS a Compaq BIOS, 
so there really isn't much that I would eliminate.  I would like confirmation 
that the HP system is experiencing a similar problem and that it gets the EDD 
message.  Also, by way of constructive criticism, the reason I opened problem 
41392 was the telephone support told me that the message was not being 
generated by the RedHat system, that the message did not show up in their 
database and that I should open a new bug report.  This problem should heve 
shown up on their radar since the message is indeed in the "Summary"...someone 
might wish to look into why support could not connect my problem to this bug 
report.   Anyway, I am not trying to beat anyone up, but it does take support 
time to close and connect problems, and I did not mention the EDD message in my 
original bug report (which I should have done...  shame on me!), but I DID 
mention it with support when I first reported the problem, and they told me 
they looked in the system for this message and got no "hits".

I will Download the EDD fix, and re-test when I get a chance and report back.  
From looking at "edd.c" above, I would not be surprised to see some ill effects 
from this message since the else case fails to initialize the major and minor 
versions at all.  I would expect the code to initialize them with some values 
that are known to mean "unknown" as opposed to leaving them unitialized.
Comment 30 Matt Wilson 2001-05-21 18:06:32 EDT
EDD is a enhanced disk interface that allows access to data past the 1024 cyl
limit from BIOS calls.  LILO uses this to boot systems with kernels past 1024
cyl.  Not all BIOSes can handle this, so we do a check in the installer.

You would be surprised to see how much the usb subsystem can mess things up. 
The same goes for DMA access.  We've never come across these machines that show
the problem. With physical access to one I'm sure we could fix this problem
quickly...
Comment 31 Doug Reed 2001-05-21 18:11:16 EDT
Doug Reed...I would be most happy to give you access to one, but I am in 
California.  Wanna visit LA?  I have one six blocks from the Pacific ocean in 
Redondo Beach.  ...Bring naked women...the ones here are all on BayWatch.
Comment 32 Doug Reed 2001-05-25 15:18:56 EDT
Doug Reed...I have finally found time to perform the test.  Indeed "msw" was 
correct on both counts...  The update disk DID make the EDD message go away, 
and it did not help one bit.  I did NOT do a clean install this time since this 
trashes my system... I said upgrade, and it locked up while the little
"determining which packages to upgrade" dialog was displayed.  The good news is 
that, since it hasn't DONE anything, I can reboot 6.1, fsck, and run the 
install again at will.  It locks up after a good five minutes with the disk 
light flashing happily.  I did this with the <CTRL>-<ALT>-<F1>, <CTRL>-<ALT>-
<F3>, and <CTRL>-<ALT>-<F4> screens displayed.  I copied what was on the 
screens below for all to see.  I hope I get it all copied correctly since I 
have only one monitor connected to an OmniCube, I have to switch over, read a 
line, then switch here, and type it  (Since the system is hung, and has no 
printer installed anyway, I cannot capture it).  It does seem like IRQ 11 is a 
bit more popular than it should be to me in the F4 screen.  ...anyway, hope it 
helps...  I REALLY NEED THIS TO WORK!

<CTRL>-<ALT>-<F1> contain:
Running anaconda
Probing for mouse type
Starting the X server ...
...X-Server started successfully.

<CTRL>-<ALT>-<F3> ends with:
* probing for ide floppies
* no ide floppies found
* looking for video cards requiring agpgart module
* found video card controller unknown
* in start Pcmcia()
* pcmcia probe returned: |PCI bridge probe not found
Intel PCIC probe: not found
Databook TCIC-2 probe: not found
|
* no pcic contoller found
* probing busses
* finished bus probing
* found suggestion of usb-uhci
* found nothing
* trying to mount device hdc
* loopfd is 7
* getting ready to spawn shell now
* probing busses
* finished bus probing
* found suggestion of tlan
* found tlan device
* found suggestion of usb-uhci
* found device justProbe is 0
* going to insmod tlan.o (path is NULL)
* UPDATES floppy device is fd0
* recursively copying /tmp/update-disk/lost+found
* going to insmod raid0.o (path is NULL)
* going to insmod raid1.o (path is NULL)
* going to insmod xor.o (path is NULL)
* going to insmod raid5.o (path is NULL)
* going to insmod fat.o (path is NULL)
* going to insmod msdos.o (path is NULL)
* going to insmod vfat.o (path is NULL)
* going to insmod ext3.o (path is NULL)
* looking for USB mouse
* no IDE floppy devices found.

<CTRL>-<ALT>-<F4> ends with:
<6>IP Protocols ICMB UDP TCP
<4>IP routing cache hash table of 1024 buckets, 8Kbytes
<4>TCP Hash table configured (Established 8192 bind 8192)
<6>NET4 Unix domain sockets 1.0/SMP for Linux NET4.0
<4>VFS mouted root (ext2 filesystem)
<4>hdc ATAPI 20X CD-ROM deiver, 128Kb cache, DMA
<6>Uniform CD-ROM Revision 3.12
<6>SCSI subsystem driver revision 1.00
<6>usb.c Registered new driver usbdevfs
<6>usb.c Registered new driver hub
<6>usb-uhci.c $Revision 1.251 $ Time 18:28:33 Apr 8, 2001
<6>usb-uhci.c High bandwidth mode enabled
<6>PCI Found IRQ 11 for device 00.14.2
<6>PCI The same IRQ used for device 00.0d.0
<6>usb-uhci.c USB UHCI at I/O 0x1000, IRQ 11
<6>usb-uhci.c Detected 2 ports
<6>usb.c New USB bus registered, assigned bus number 1
<6>hub.c USB HUB found
<6>hub.c 2 ports detected
<6>usb.c Registered new driver hid
<7>ISO 9660 Extensions: RRIP_1991A
<4>Unable to identify CD-ROM format
<6>ThunderLAN driver v1.14a
<6>PCI Found IRQ 11 for device 00.10.0
<6>TLAN eth0 irq=11, io=1020, Compaq Netelligent 10/100 TX Embedded UTP, Rev. 16
<6>TLAN 1 device installed, PCI: 1 EISA: 0
<6>raid0 personality registered as nr 2
<6>raid1 personality registered as nr 3
<6>raid5 measuring checksum speed
<4>  8 regs    : 251.600 MB/sec
<4>  32 regs   : 208.000 MB/sec
<4>  pII_mmx   : 344.800 MB/sec
<4>  p5_mmx    : 420.400 MB/sec
<4>raid5 using function: p5_mmx (420.400 MB/sec)
<6>raid5 personality registered as nr 4
<6>Adding Swap 266072K swap-space (Priority -1)
Comment 33 Stan Stead 2001-05-25 17:13:57 EDT
I have to echo Doug Reeds comments. I too, took the time to download the 
update, make a floppy and go through the update process again.
Like Doug, the updates eliminated the EDD message and do NOT fix the hanging 
problem. I too, hang at the point of customizing the upgrade list of files. I 
can also cycle through various screens Ctrl-Alt-F1..F10, with very similar 
output. No files are written, a fsck restores the system to running RH 7.0.
I have also tried:
linux updates ide=nodma nousb, instead of linux updates alone. Same results.
Yes, I have a compaq ps/2 mouse installed.
Stan
Comment 34 Need Real Name 2001-05-30 16:00:20 EDT
I reported bug 40352 which was labels as a dupe of this. (Same problem) 

If you have some one in Dallas, Tx they are welcome to stop by.;)

Mine is a generic duel processor MB. No Compaq, or HP.

"OEM ID: INTEL    Product ID: 440LX        APIC at: 0xFEE00000"
Comment 35 Doug Reed 2001-06-01 18:15:51 EDT
Doug Reed...Infonet.  I dug up a copy of Mandrake 8.0 as a test, and confirmed 
that my test machine hangs during format in this release.  This may eliminate 
Anaconda as a cause.  Which Hard disk controller does everyone have?  My 
Compaq's have built-in VIA IDE controllers, and I have found some fixes in the 
Kernel news for 2.4.5-ac6 "Much updated VIA IDE support" with regard to this 
controller.  I notice that the original reporter has a VIA controller. Others 
report that 7.0 worked.  Were there VIA controller fixes in the 2.2 kernel 
between 6.2 and 7.0 that may have fallen off, or designed out of existence in 
the 2.4 Kernel?  If so,  It may be useful to try to install using the newer 
Kernel with the VIA updates.  I would have no idea how to do this...I would 
guess that someone at RedHat would have to build me(us?) a CD with the newer 
Kernel.
Comment 36 Barry McKinlay 2001-06-05 20:37:13 EDT
I think Doug Reed might beright.  My Compaq's also have built-in VIA IDE 
controllers.  Is there anyway to us an external IDE controller on these compaq 
boards ?
Comment 37 Need Real Name 2001-06-06 08:38:13 EDT
You can add me to the list as well. Both the systems I am having problems with
have VIA IDE Controllers. Although sometimes I get some output stating ide0
reset error 0x080 after it locks. Both the systems I am having the problem on
also have maxtor drives as hda(one 15gig and one 30gig)
Comment 38 Barry McKinlay 2001-06-19 20:01:30 EDT
Has anyone, and that includes you RedHat, found anyway around this problem 
yet.   If I go out and buy an official copy of 7.1 will RedHat resolve this 
problem for me ?
Comment 39 Cameron Bailes 2001-07-16 06:55:29 EDT
I appear to be running into the same problem, however I usually make it past 
the formatting, just prior to copying the disk image or during the installation 
of packages the install fails and I receive a "python: header.c:511: 
headerload: Assertion `rdlen == dl' failed" error or it simply hangs.  I do not 
receive a GDK or EDD error.

Under Ctrl-Alt-F4 I see several instances of:
"<6>cdrom: open failed
 <4>hdc: packaet command error=0x51 {DriveReady SeekComplete Error}
 <4>hdc: packaet command error=0x54"	

and one instance of:
"hdb: lost interrupt
 hdb: cdrom_read_intr: data underrun (4 blocks)"

The last line is:
"adding swap-space (priority -1)"

Underrun is a buffering error, isn't it?  

I have tried ide=nodma.
Comment 40 Matt Wilson 2001-07-16 09:14:04 EDT
the rtld errors are classic signs of data corruption.  If ide=nodma didn't help,
I'm out of ideas.  I'm going to punt to the kernel team.
Comment 41 Arjan van de Ven 2001-07-18 05:30:06 EDT
Smells like a hardware issue.. Are the cables properly connected ?
Comment 42 Cameron Bailes 2001-08-08 07:13:30 EDT
I successfully installed, it looks like a memory dump.  In my bios agp is assigned 64M of ram, I have 128M so I assigned the kernel the remaining 64M 
with "mem=64M".  I also specified "ide=nodma" but I don't think it was needed.

I was receiving the "python: header.c:511: headerLoad: Assertion 'rdlen == dl' failed" error in addition to the occational signal 11, 6 or 7 error and "error 
loading shared libraries [...] GLIB_2.0 no defined".
Comment 43 Need Real Name 2001-08-24 07:10:14 EDT
Is there a fix/workaround for 37280 yet ? I have hit exactly the same problem . A Compaq Deskpro that run RH7.0 with no problems fails during instalation of 
RH7.1.   I won't repeat the symptoms, as they appear to be exactly the same. The CD set was purchased from my local chain. It was called the RedHat 'Garage' 
set as only contained the CD's. I was up until 4am this morning working trying to get this to install.
Comment 44 Arjan van de Ven 2001-08-26 08:54:12 EDT
you can always try to "dd if=/dev/cdrom of=disc1.iso" (same for disk2) and do a
harddisk install. If that works, your cdrom drive REALLY dislikes dma.
Comment 45 Need Real Name 2001-08-28 18:09:15 EDT
I have seen a similar problem with Red Hat 7.1 on the Compax Deskpro 5000.
After correctly formatting my /boot partition the configuration appeared to 
stop operating whilst formatting the 303MB /home partition/

However my system messages (ctrl-alt-F4) point to the system continually 
waiting for the harddisk. It's almost as if it has gone to sleep. N.B. I have 
disabled power management (disabling ACPI will stop your machine booting)

<4>hda: status timeout: status=0x80 {busy}
<4>hda: drive not ready for command
<4>ide0: reset timed-out status=0x80 
<4>end_request: I/O error, dev 03:06 (hda) sector 524392

This gradually counts up at the rate of approx 2 sectors per 30 seconds.

I believe that the system had already correctly detected that no dma was 
required.
Comment 46 Doug Reed 2001-08-29 16:01:36 EDT
I did not download Roswell, because no such thing or place exists, and I did 
not try to install it on the @#* Compaq DP4000 with the @#* VIA IDE controller 
because no company would ever build such a system.  But If HAD, IT would have 
locked up earlier this time...  When one selects "Manually partition using Disk 
Druid", and clicks on "Next >"...  At THIS point, the "Next >" button would 
ooze this tiny bit of glue, which would cause the little magic arrow to get 
stuck on the button, and no amount of mouse movement would be able to break it 
loose.  Only the mysterious button on the front of the case that causes the 
little magic arrow to disappear completely seemed to be able to disolve this 
powerful glue.
Some of us wish there WAS a Roswell because of all of the VIA Controller fixes 
that appear to be occurring in the Real World... or at least the Alan Cox 
world.  Some of us were hopeing that Roswell would someday exist and contain 
such fixes and that a mysterious man with a Red Hat would see that all was well 
in the Compaq World.  ...alas if only my company had listened to me and run the 
other way and hid under the bed when the evil word 'Compaq' was uttered in the 
presence of mortals...only then would the world be free of the evil spell, and 
the mysterious man in the Red Hat would no longer be responsible only for 
keeping coffee stains from attacking my desk and leaving the Evil Billy Borg 
free to roam the corridors of my office building consuming all intellectual 
property.
Comment 47 Graham 2001-09-19 02:24:28 EDT
Add me to the list as well. A Compaq Deskpro 166 that runs RH6.2 with no 
problems fails during instalation of RH7.1.  Also with the VIA chipset. 
WARNING: Unknown EDD version 0x1600 supported etc...
Comment 48 Need Real Name 2001-09-26 19:40:38 EDT
I've tried all permutations of ide=nodma and nousb and sometimes the system 
will install but will hang at a random point in the future, normally when 
accessing the IDE CDRom. Interestingly the disable USB in the hardware section 
of Compaq setup has little effect but the disable USB in the security section 
of the setup does make it disappear completely e.g. no IRQ usage, not detected 
by lspci etc. However, this does not fix the problems with the boot.
Comment 49 Need Real Name 2001-09-27 08:40:08 EDT
Hardware Experiment:
I tried replacing all the two IDE cables with UDMA 100 cables and no success. 
However, I did try making the CDROM as a slave drive off the primary IDE 
controller with the origional IDE cable. I have done a couple of installs with 
no kernel settlngs and no problems. The install correctly detects the hard disk 
is running as UDMA33 an the CDRom is running PIO. As an aside, this also 
appears to be the only hardware configuration which allows a boot from CDROM.
Comment 50 Need Real Name 2001-09-27 08:50:20 EDT
The Kernel with my Redhat 7.1 appears to be 2.4.2-2. There are 
changes/enhancements for the VIA chipset used by these Compaq IDE controllers 
in Kernel versions 2.4.4 and 2.4.10. Anyone care to point me at a Redhat 7.1 
boot image using a later kernel, I'll be happy to give it a go.
Comment 51 Graham 2001-09-28 03:31:35 EDT
I can confirm that making the CDROM as a slave drive off the primary IDE 
controller appears to work.
Comment 52 Kevin Thomas 2001-11-09 13:27:40 EST
Greetings: Check out bug 55592 and my last post. I've had similar problems. To 
that end could somebody email how to set my CDROM as the primary slave drive 
off of the IDE? I'll give that a try, but not sure how!

Thanks,

Kevin
Comment 53 Brent Fox 2001-11-20 12:46:31 EST
Has anybody had any luck with 7.2?  Does it fix the problem?  We don't have a
Deskpro 2000 in house, so I can't test it myself.
Comment 54 Brent Fox 2001-11-20 13:16:16 EST
*** Bug 53547 has been marked as a duplicate of this bug. ***
Comment 55 Need Real Name 2001-11-20 17:50:54 EST
I am the reporter of bug 52547. I ran in to this problem when I replaced the 
standard 1Gb western digital hd with a matrox 20 GB. 
I can do a clean install on my deskpro 2000/166mmx but only if I choose not to 
use LILO and to create a bootflop.
Funny thing. When I tried to install with both LILO and Bootdisk option turned 
off the install failed.
When the machine runs (using the bootflop) it rains CRC errors from the HD from 
time to time.
Hope this info helps
Comment 56 Kevin Thomas 2001-11-21 11:39:43 EST
Greetings:

I would be more than happy to get a copy of 7.2 and test it on my machine to 
see if it works.

Kevin
Comment 57 Kevin Thomas 2001-11-21 11:47:33 EST
Greetings:

I just reported in bug 55592 that making the CDROM a slave of the IDE 
controller as reported in this bug was a success in installing 7.1 server. Just 
to test further, I wiped the drive and installed workstation with no problems 
either. 

I'm still willing to get a copy of 7.2 and test to make sure the kernal is 
working properly.

Thanks,

Kevin
Comment 58 Doug Reed 2001-11-27 15:02:47 EST
This is in response to "BFox"s request for information on Version 7.2.

I have purchased 7.2 and tried to install it.  There is no change.  The system 
hangs in the same way at the same place 100% of the time in my testing without 
regard to which, if any, kernel switches are used.

I gave up and bought a new motherboard re-using all other components.  7.2 
installs with no problem.  Sadly I still have several boat anchors in my data 
center that I would like to run something newer than 6.1 on, and cannot do so.
Comment 59 Doug Reed 2001-11-27 15:14:31 EST
In reply to comment made by "mintvelt".  I too can confirm that the problem is 
in some way related to either the replacement, or the addition of an additional 
hard disk.  Indeed the machines come with a 1 GIG drive.  Some of my machines 
have had it replaced, and some have had either a second IDE, or a SCSI card 
with another hard drive installed.  In every case, the new drive is larger than 
the 1 GIG that came with the machine, and this seems to be related to the 
problem, as it has problems during the file copy stage of the install.  I am 
not sure it has anything to do with LILO, however, because 7.2 no longer 
defaults to LILO, and I took this default on my install, and also because 6.1 
DOES use LILO, and it installs without problems 100% of the time.  (I have done 
SEVERAL re-installations while testing this problem)
Comment 60 Brent Fox 2002-01-21 12:18:27 EST
*** Bug 55592 has been marked as a duplicate of this bug. ***
Comment 61 shadlow 2004-08-27 21:43:34 EDT
The fact is that the Compaq Deskpro 2000 has no true bios. The bios 
is built into the original hard drive as a 4mb partition, which 
controls all onboard systems. If this partition is removed it is 
almost impossible to recover. HP/Compaq has rompaq which can update 
up to an 8.4 gb drive with the proper partition for this, however it 
is next to impossible to create using their system. I have been able 
to duplicate this with many flavors of linux and other OS versions. I 
hope this helps in some way. you can view some of the documentation 
here 
Rompaqs and divers:
http://h18007.www1.hp.com/support/files/Deskpro/us/locate/3_65.html
Documentation:
http://www.brlug.net/pipermail/general_brlug.net/2000-
December/000164.html
Comment 62 Bugzilla owner 2004-09-30 11:38:57 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.